#!/bin/sh

# Get package dependencies
pub get

# Run the tests
dart --checked test/model_test.dart

# Build the examples
pub build example

# Deploy the examples to gh-pages
git checkout gh-pages
mkdir -p examples
cd build/example/
cp -r . ../../examples
cd ../../

# TODO: docgen
# Generate API docs and push to gh-pages
#dartdoc --package-root packages --include-lib fields.model,fields.view lib/fields.dart
#git checkout gh-pages
#cd docs/
#cp -r . ..
#cd ../

git add -A
git diff-index --quiet HEAD || git commit -m"auto commit from drone"
git remote set-url origin git@github.com:rmsmith/fields.git
git push origin gh-pages
